# Package-level declarations

## Types

Config
Link copied to clipboard
@Serializable
data class Config (val plugins: List < StartPlugin >)

Contains just List of StartPlugins. In json this config should look like:

HelloWorldPlugin
Link copied to clipboard
object HelloWorldPlugin : StartPlugin
StartLauncherPlugin
Link copied to clipboard
object StartLauncherPlugin : StartPlugin

Default startup plugin. See setupDI and startPlugin for more info

## Properties

baseJsonProvider
Link copied to clipboard
val ERROR CLASS: Symbol not found for Koin. baseJsonProvider : Json?
val ERROR CLASS: Symbol not found for Scope. baseJsonProvider : Json?
defaultJson
Link copied to clipboard
val defaultJson : Json

## Functions

baseJsonProviderFactory
Link copied to clipboard
fun ERROR CLASS: Symbol not found for Module. baseJsonProviderFactory (definition: ERROR CLASS: Symbol not found for Definition<kotlinx/serialization/json/Json>): ERROR CLASS: Symbol not found for KoinDefinition<kotlinx/serialization/json/Json>

Will register definition with org.koin.core.module.Module.factory and key "baseJsonProvider"

baseJsonProviderSingle
Link copied to clipboard
fun ERROR CLASS: Symbol not found for Module. baseJsonProviderSingle (createdAtStart: Boolean = false, definition: ERROR CLASS: Symbol not found for Definition<kotlinx/serialization/json/Json>): ERROR CLASS: Symbol not found for KoinDefinition<kotlinx/serialization/json/Json>

Will register definition with org.koin.core.module.Module.single and key "baseJsonProvider"

main
Link copied to clipboard
suspend fun main (args: Array < String >)

It is expected, that args will contain ONE argument with path to the config json. Sample of launching: